Bug 1127295 - RFE: Conditionable proxy settings
Summary: RFE: Conditionable proxy settings
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 14:40 UTC by Marcin Juszkiewicz
Modified: 2014-09-02 07:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 07:16:10 UTC


Attachments (Terms of Use)

Description Marcin Juszkiewicz 2014-08-06 14:40:15 UTC
Description of problem:

At home I have squid running on one machine with several GBs of disk cache to not download packages over and over again when updating my machines or using mock. So in /etc/dnf/dnf.conf I have "proxy=http://192.168.0.13:3128/" set. But this became a problem when I took laptop from docking station and went outside as 192.168.0.13 is not available but DNF tries to connect to it over and over again without even telling that it is unable to connect to proxy.

On Debian systems I used APT-cacher-ng which had Avahi support so all my machines just checked for cache before doing anything with network when I requested packages installation.

I do not have idea how to solve it in good way for dnf.

Version-Release number of selected component (if applicable):

16:37 root@kapturek:hrw# LC_ALL=C dnf --version
0.5.5
  Installed: dnf-0:0.5.5-1.fc22.noarch at 2014-08-01 08:54
  Built    : Fedora Project at 2014-07-28 14:15

  Installed: rpm-0:4.11.90-0.git12844.5.fc21.x86_64 at 2014-08-01 08:44
  Built    : Fedora Project at 2014-07-03 10:55


How reproducible:

always

Steps to Reproduce:
1. set proxy to some random address
2. use dnf

Actual results:

Failed to synchronize cache for repo 'rpmfusion-free-rawhide' from 'http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=x86_64': Cannot prepare internal mirrorlist: Curl error: Timeout was reached for http://mirrors.rpmfusion.org/mirrorlist?repo=free-fedora-rawhide&arch=x86_64, wyłączanie.


Additional info:

Comment 1 Honza Silhan 2014-08-22 14:05:55 UTC
Hi, we could add some command line switch or bool config that would ignore proxy if unreachable.

Comment 2 Ales Kozumplik 2014-09-02 07:16:10 UTC
Given that Yum does not have support for something similar and that the declining general importance of proxies, I think we can safely disregard special support for similar setups. Closing this as WONTFIX.

Reporter, you can have two alternative configuration files and switch between them with the '-c' switch. A shell alias (possibly utilizing Avahi or similar system) can then automatically switch between the two.


Note You need to log in before you can comment on or make changes to this bug.